View Issue Details

IDProjectCategoryView StatusLast Update
0002357Far ManagerCommand Line/Executepublic2013-04-10 17:51
Reporterpoli-smenAssigned ToDrKnS 
PrioritynormalSeveritytweakReproducibilityalways
Status closedResolutionfixed 
Product Version3.0 
Target VersionFixed in Version3.0 
Summary0002357: Постоянно сообщает "Доступ запрещён" если в переменной PATH есть недоступные каталоги
DescriptionЕсли в переменной окружения PATH есть папки к которым нет доступа (прав), то при вводе каждого (почти) очередного символа в командную строку Far Manager появляется окно с сообщением "Доступ запрещён".
Steps To Reproduce1) Добавьте к переменной окружения PATH путь к папке на которую нет прав или уберите права у любой папки которая уже есть в переменной окружения PATH.
2) Запустите Far Manager и введите что-нибудь в командной строке.
TagsNo tags attached.
Build3296

Activities

DrKnS

2013-04-02 16:21

administrator   bugnote:0010648

> Если в переменной окружения PATH есть папки к которым нет доступа (прав)

А зачем?

poli-smen

2013-04-03 13:55

reporter   bugnote:0010656

>> Если в переменной окружения PATH есть папки к которым нет доступа (прав)
>
>А зачем?
Откуда мне знать? Я пользователь Far'а, а не администратор сервера.
Я столкнулся с этим багом (хотя судя по вашему вопросу вы почему-то не считаете это багом) когда потребовалось покопировать информацию на сервере. Скопировал я на сервер Far, запустил и тут обнаружил что почти любой введённый символ в командную строку вызывает у Far'а неадекватную реакцию.
Путь в сообщении об ошибке Far показывает такой: "\\?\c:\Program Files\Microsoft System Center 2012\DPM\SQL\100\DTS\Binn\". Я так понимаю это каталог какой-то Микрософтовской приблуды для облегчения жизни администраторам и доступа к этой папке действительно нет и путь к этой папке действительно прописан в переменной окружения PATH. Far естественно запускался под обычными правами, а не административными, так как для моих задач этого не требовалось.

И у меня встречный (риторический) вопрос: Разве для того чтобы ввести и выполнить через командную строку что-то вроде "ipconfig" или "ping yandex.ru" нужны административные права, да ещё настойчиво требуемые Far'ом после ввода каждого символа команды?

p.s. Я эту проблему для себя решил просто установив на сервер более старую версию "Far 3.0 build 2617" на которой этот баг отсутствует (хотя это естественно не является настоящим решением).

DrKnS

2013-04-03 15:00

administrator   bugnote:0010657

> И у меня встречный (риторический) вопрос: Разве для того чтобы ввести и выполнить через командную строку что-то вроде "ipconfig" или "ping yandex.ru" нужны административные права, да ещё настойчиво требуемые Far'ом после ввода каждого символа команды?

Когда вы что-то набираете, far пытается вам помочь и показать список допустимых вариантов (это настраивается).
Допустимые варианты ищутся, в том числе, в %path% (это тоже настраивается).

Если некие файловые операции запрещены текущему пользователю, far предалагает выполнить их от имени администратора (и это тоже настраивается).

Указывать в %path% папки, к которым нет доступа - это какой-то цирк с конями: куча программ сканирует path, наличие там таких папок приведёт только к тормозам и замусориванию аудита.

Подавить запрос административных полномочий в данной ситуации, конечно же, можно, просто вы первый, обратившийся с подобным, поэтому возникают закономерные вопросы.
Не совсем понятно, зачем на них так бурно реагировать.

DrKnS

2013-04-03 15:10

administrator   bugnote:0010658

3296.

poli-smen

2013-04-09 17:40

reporter   bugnote:0010697

Простите пожалуйста меня за мою бурную реакцию, просто ваш вопрос меня немного обескуражил...
Нет, я конечно понимаю что всё логично (я ведь тоже программист), но с другой стороны я думал, что должно быть очевидно, что при обычном вводе обычного текста в командную строку, Far не должен сыпать ошибками (вне зависимости от того, что там пользователь себе в Windows'е понастраивал). Впрочем не должно и тормозить, что к сожалению происходит если вводить (посимвольно) в командную строку примерно такое: "cd \\computername\c$\windows\system32\spool\" - но это уже другой вопрос.
Огромное спасибо за исправление. Проверил - теперь ошибка не выскакивает. :)

Issue History

Date Modified Username Field Change
2013-04-02 15:43 poli-smen New Issue
2013-04-02 16:21 DrKnS Note Added: 0010648
2013-04-03 13:55 poli-smen Note Added: 0010656
2013-04-03 15:00 DrKnS Note Added: 0010657
2013-04-03 15:10 DrKnS Note Added: 0010658
2013-04-03 15:10 DrKnS Assigned To => DrKnS
2013-04-03 15:10 DrKnS Status new => feedback
2013-04-09 17:40 poli-smen Note Added: 0010697
2013-04-09 17:40 poli-smen Status feedback => assigned
2013-04-10 17:51 DrKnS Build => 3296
2013-04-10 17:51 DrKnS Status assigned => closed
2013-04-10 17:51 DrKnS Resolution open => fixed
2013-04-10 17:51 DrKnS Fixed in Version => 3.0